Package frc.robot.subsystems.swervedrive.swerve.motors

## Enum CTRESwerveMotor.CTRE_pidIdx

- java.lang.Object
- - java.lang.Enum<CTRESwerveMotor.CTRE_pidIdx>
  - - frc.robot.subsystems.swervedrive.swerve.motors.CTRESwerveMotor.CTRE_pidIdx

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CTRESwerveMotor.CTRE_pidIdx>`

Enclosing class:
  CTRESwerveMotor

    static enum CTRESwerveMotor.CTRE_pidIdx
    extends java.lang.Enum<CTRESwerveMotor.CTRE_pidIdx>

The TalonSRX PID to use onboard.

### Enum Constant Summary

Enum Constants
`AUXILIARY_PID`
`FOURTH_PID`
`PRIMARY_PID`
`THIRD_PID`

### Constructor Summary

Constructors
`private` `CTRE_pidIdx()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CTRESwerveMotor.CTRE_pidIdx` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CTRESwerveMotor.CTRE_pidIdx[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRIMARY_PID

    public static final CTRESwerveMotor.CTRE_pidIdx PRIMARY_PID

#### AUXILIARY_PID

    public static final CTRESwerveMotor.CTRE_pidIdx AUXILIARY_PID

#### THIRD_PID

    public static final CTRESwerveMotor.CTRE_pidIdx THIRD_PID

#### FOURTH_PID

    public static final CTRESwerveMotor.CTRE_pidIdx FOURTH_PID

### Constructor Detail

#### CTRE_pidIdx

    private CTRE_pidIdx()

### Method Detail

#### values

    public static CTRESwerveMotor.CTRE_pidIdx[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CTRESwerveMotor.CTRE_pidIdx c : CTRESwerveMotor.CTRE_pidIdx.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CTRESwerveMotor.CTRE_pidIdx valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null